<script type="text/javascript">	
$(document).ready(function() {	
	$("#tabs").tabs({selected:0});	
	$("#info_bbm").hide();
	$("#form").load('modul/terima_bbm/form.php');
	
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url	: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#t_tgl_awal").val(data.tanggal);
				$("#t_tgl_akhir").val(data.tanggal);				
			}
		});
	}
	
	$("#cari_tgl").click(function(){
		var tgl_awal = $("#t_tgl_awal").val();
		var tgl_akhir = $("#t_tgl_akhir").val();
		var cari = $("#caribbm").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_awal").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_akhir").focus();
			return false;
		}
		$("#tampil_data").load('modul/terima_bbm/tampil_data.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&cari='+cari);
	});
		
	$("#caribbm").keyup(function(){
		cari_bbm();
	});
	
	function cari_bbm(){
		var tgl_awal = $("#t_tgl_awal").val();
		var tgl_akhir = $("#t_tgl_akhir").val();
		var cari = $("#caribbm").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_awal").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_akhir").focus();
			return false;
		}
		$("#tampil_data").load('modul/terima_bbm/tampil_data.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&cari='+cari);
	}
	
	$("#tutup").click(function(){
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>

<?php
echo "<div id='tabs'>";
echo "<ul >
	       <li><a href='#form'>INPUT PENERIMAAN BBM</a></li>
	       <li><a href='#data'>DAFTAR PENERIMAAN BBM</a></li>
      </ul>";
	  
echo "<div id='form'></div>";
	
echo "<div id='data'>
			<div id='pencarian'>
				<table width='100%'>
				<tr>
					<td>Penerimaan tanggal : <input type='date' name='t_tgl_awal' id='t_tgl_awal' size='10'> Sampai dengan <input type='date' name='t_tgl_akhir' id='t_tgl_akhir' size='10'></td>
					<td>
						<button name='cari_tgl' id='cari_tgl'>Cari</button>						
						<button name='tutup' id='tutup'>Tutup</button>
					</td>
					<td>Cari BBM : <input type='text' name='caribbm' id='caribbm' size='30'></td>					
				</tr>
				</table>
			</div>
			
			<div id='tampil_data' align='center'></div>
		</div>";
		
echo "<div id='info' align='center'></div>";

echo "</div>";
?>
